## wajig 2.0.29ubuntu1

=== src/Makefile ===
SHELL = /bin/sh

srcdir          = .
top_srcdir      = ..
prefix		= /usr
exec_prefix	= ${DESTDIR}/${prefix}
bindir 		= ${exec_prefix}/bin
datadir		= ${DESTDIR}/${prefix}/share/wajig
INSTALL		= /usr/bin/install -c
srcdir		= .
pycomp		= ../py-compile
CFLAGS          = -fPIC -shared -O @PYTHON_INCLUDES@

top_builddir = ..

PACKAGE = wajig
VERSION = 2.0.17

bin_PROGRAMS = wajig

wajig_SOURCES = wajig.py documentation.py changes.py commands.py perform.py \
	        const.py.in bash_completion.py

gjig_SOURCES = gjig.py glutil.py

EXTRA_DIST =  gjig.glade jigsaw.png jigsaw-logo.png pieces.png

PROGRAMS =  $(bin_PROGRAMS)

COMPILE=${pycomp}

SUBDIRS =

DIST_COMMON =  Makefile.in

SOURCES = $(wajig_SOURCES) $(gjig_SOURCES)

DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

all:
	chmod +x ${pycomp}
	${pycomp} *.py

install:
	${INSTALL} -d ${datadir}
	${INSTALL} -m 644 *.py *.pyo *.glade *.png ${datadir}
	chmod +x $(datadir)/wajig.py $(datadir)/gjig.py

uninstall:
	rm -f ${datadir}/*.py ${datadir}/*.pyo ${datadir}/*.glade
	-rmdir ${datadir}

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

clean:
	-rm -f core *.pyo *.pyc *.bak *~	

realclean: clean

cvsclean: realclean
	-rm -f *.pyc const.py Makefile

## wajig 2.0.25

=== debian/changelog ===
wajig (2.0.25) unstable; urgency=low

  * Extend LIST-ALL with optional argument to filter output on.
    Requested by Karl Schmidt.

  * Start implementing logging of install/remove/update. Suggested
    by Karl Schmidt (Begins addressing Bug#297461).

  * New command LIST-LOG will simply list the contents of the log file.

  * LIST-WIDE removes extra space to list as compact as possible. Suggested
    by Karl Schmidt

  * PURGE-DEPEND now only checks installed packages. Suggested by Manuel
    Hernandez.
	
 -- Graham Williams <Graham.Williams@togaware.com>  Sat,  5 Mar 2005 06:51:36 +1100

wajig (2.0.24) unstable; urgency=low

  * Add DOC back into wajig. Suggested by Francesco Potorti. (Closes
    Bug#295806).
  * Use langC for grep when doing apt-cache dumpavail and count_upgrades
    since grep is very slow on other locales. Fix suggested by Reuben Thomas
    in relation to Bug#295022. (Closes Bug#295022).
  * Add LIST-SECTION(S) to the documentation. Reported by David 
    Liontooth. (Closes Bug#295923).

 -- Graham Williams <Graham.Williams@togaware.com>  Sun,  20 Feb 2005 10:01:06 +1100
	

wajig (2.0.23) unstable; urgency=low

  * Change plurality of a message
  * Fix problem with CHANGLOG when the source package is not an
    installable package, as in libgtk2.0-dev and source gtk+2.0.
    Bug reported by Matthew Hawkins (Closes: #295455).

 -- Graham Williams <Graham.Williams@togaware.com>  Fri,  18 Feb 2005 18:17:37 +1100
	

wajig (2.0.22) unstable; urgency=low

  * New commands LISTSECTION and LISTSECTIONS.

 -- Graham Williams <Graham.Williams@togaware.com>  Sun,  6 Feb 2005 19:47:37 +1100

wajig (2.0.21) unstable; urgency=low

  * New upstream release
    - Exit with status 1 if LISTNAMES returns no results. Bug reported by 
      A Costa (Closes: #292581).

 -- Graham Williams <Graham.Williams@togaware.com>  Tue,  1 Feb 2005 19:43:47 +1100

wajig (2.0.20-1) unstable; urgency=low

  * New maintainer (== upstream author), with the previous maintainer as 
    sponsor
	
  * Regenerate Graham's debian package build.

    - Fix a locale problem where LC_ALL was being set to C by wajig for 
      all external system calls. Only needed for STATUS? Bug reported
      by Serge Matveev (Closes: #288852).
    - Fix bug in getting username when USER not define, reported by
      Dirk Eddelbuettel
    - Fix typo reported by A Costa (Closes: #292456)
    - LISTALTS should ignore the README Reported by A Costa 
      (Closes: #292457)
    - Fix change of DEPENDEES to DEPENDENTS Reported by A Costa 
      (Closes: #292469)

	
 -- Graham Williams <Graham.Williams@togaware.com>  Sat, 29 Jan 2005 21:41:43 +1100

wajig (2.0.19-2) unstable; urgency=low

  * Applied two small fixes suggested by Graham to address issues 
    when running as root  (Closes: #290286):
    - src/perform.py: Use getpass.getuser() for root test
    - src/commands.py: Escape quotes in quietopt assignment
    - src/wajig.py: Idem in filter_str assignment 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jan 2005 06:25:43 -0600

wajig (2.0.19-1) unstable; urgency=low

  * New upstream release:
    - Fix problem when using sudo, and running wajig as root - if root
      was not in sudoers file then wajig could not run. root did not need
      to be in the sudoers file to run wajig - added a check for root
      running wajig and if so, don't use sudo if sudo is installed.
      Bug reported by Serge Matveev (Closes: #288849).
    - Fix bug with PURGE-ORPHANS whereby sudo was being doubly used
      and causing problems if root was not in sudoers. Bug reported by
      Serge Matveev (Closes: #288847)
    - Continue work on command interpreter completion. Only command
      complete the first "word" not all "words" in the command line.
    - REC-DOWNLOAD has been renamed RECURSIVE (but kept for
      compatibility)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  7 Jan 2005 20:19:41 -0600

wajig (2.0.18-1) unstable; urgency=low

  * New upstream release:
    - Without any arguments wajig will start a command interpreter.
      The command interpreter accepts any wajig command, with completion.
      Suggested by Lorenzo Prince (Closes: #288041).

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  3 Jan 2005 06:24:04 -0600

wajig (2.0.17-1) unstable; urgency=low

  * New upstream release:
    - DETAILS now allows DEB files as arguments. Calls dpkg-deb --info.
    - CHANGELOG now tries harder to get most recent changelog. Rather
      than relying on http://changelogs.debian.net/<pkg>, use http://
      packages.debian.org/changelogs/pool/..../<pkg>_<version>/changelog.
      Delay in the updating of changelogs.debian.net links pointed out
      by Matthew Hawkins (and puts full closure on #286580).

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Dec 2004 21:19:41 -0600

wajig (2.0.16-1) unstable; urgency=low

  * New upstream release:
    - Add new command SNAPSHOT which prints each package installed and
      its version number in the "package=version" format. Saving this
      to file will allow a Debian system to be restored to just this
      collection of packages at some later stage with the RESTORE
      command (yet to be implemented). Suggested by Dirk Eddelbuettel.
    - Update README command to report missing READMEs and missing doc
      directory. Suggested by Gintautas Miliauskas.
    - Remove remaining TABS from files to avoid mixing tabs and space.
      (Closes: #283335)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Nov 2004 15:07:14 -0600

wajig (2.0.15-1) unstable; urgency=low

  * New upstream release:
    - Move the main documentation out of wajig into the Survival Guide.
    - Improve README to show all documentation files found.
    - Add second argument completion for bash (Closes: #283307)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Nov 2004 22:34:05 -0600

wajig (2.0.14-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Nov 2004 07:01:04 -0600



=== debian/control ===
Source: wajig
Section: admin
Priority: optional
Maintainer: Graham Williams <Graham.Williams@togaware.com>
Build-Depends-Indep: debhelper (>= 4.0.0), python2.3-dev (>= 2.3-1), python-dev
Standards-Version: 3.6.1.1

Package: wajig
Architecture: all
Depends: ${python:Depends}, apt, python-apt
Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, base-config, gnome-tasksel, deborphan, vrms, sudo
Description: simplified Debian package management front end
 Wajig is a single commandline wrapper around apt, apt-cache, dpkg,
 /etc/init.d scripts and more, intended to be easy to use and providing 
 extensive documentation for all of its functions. 
 .
 With a suitable sudo(1) configuration, most (if not all) package installation
 as well as creation tasks can be done from a user shell. Wajig is also 
 suitable for general system administration.
 .
 A Gnome GUI command 'gjig' is also included in the package.

## wajig 2.0.29ubuntu1

=== debian/changelog ===
wajig (2.0.29ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Stephan Hermann <sh@sourcecode.de>  Sun, 24 Jul 2005 16:17:21 +0200

wajig (2.0.29) unstable; urgency=low

  * In query through wget to packages.debian.org replace + with %2B.
    Bug reported by John V. Belmonte. (Closes: #315082)

 -- Graham Williams <Graham.Williams@togaware.com>  Tue, 21 Jun 2005 21:05:25 +1000

wajig (2.0.28) unstable; urgency=low

  * Add new option to NEW and NEWUPGRADES to INSTALL the packages.
    Suggested by David Liontooth. (Closes: #314730)

 -- Graham Williams <Graham.Williams@togaware.com>  Sat, 18 Jun 2005 16:25:25 +1000

wajig (2.0.27) unstable; urgency=low

  * Allow DIST-UPGRADE to have an optional argument to identify a
    distribution to upgrade to. Suggested by August Mayer.
    (Closes: #311543)
	
 -- Graham Williams <Graham.Williams@togaware.com>  Thu, 2 Jun 2005 05:54:36 +1000

wajig (2.0.26) unstable; urgency=low

  * BUILD and SOURCE will also now call apt-get build-dep first to
    ensure dependent packages for the build are installed.

  * LIST-LOG takes an optional argument to filter the output on.

  * LIST-LOG filters output to make the reading of the timestamp
    more pleasant. (Closes: #304435)

  * DEPENDENTS output now indicates the dependency: d=depend, s=suggest,
    r=recommend, p=replaces, c=conflict, o=other. (Closes: #306221)

  * STATUS-SEARCH calls to perform.execute all use langC to avoid
    LOCALE problems with sort. (Closes: #302648)

  * LIST-SCRIPTS will display the contents of the package script files
    to the screen. Suggested by Jerry Quinn. (Closes: #306222)
	
 -- Graham Williams <Graham.Williams@togaware.com>  Wed, 27 Apr 2005 20:24:36 +1100

wajig (2.0.17-1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <mvo@debian.org>  Mon,  3 Jan 2005 21:15:26 +0100

wajig (2.0.16-1ubuntu1) hoary; urgency=low

  * python2.4 rebuild

 -- Michael Vogt <mvo@debian.org>  Thu, 23 Dec 2004 10:50:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Graham Williams <Graham.Williams@togaware.com>
-Build-Depends-Indep: debhelper (>= 4.0.0), python2.3-dev (>= 2.3-1), python-dev
+Build-Depends-Indep: debhelper (>> 4.0.0), python2.4-dev (>= 2.4-1), python-dev
 Standards-Version: 3.6.1.1
 
 Package: wajig

## wajig 2.0.31ubuntu1

=== Makefile ===
# Build a Makefile.in modelled on Makefile.in generated by automake!
#
# Currently working on dist.  distdir is done.

SHELL = /bin/sh

srcdir          = .
top_srcdir      = .
prefix		= /usr
exec_prefix	= ${DESTDIR}/${prefix}
bindir 		= ${exec_prefix}/bin
datadir		= ${DESTDIR}/${prefix}/share/wajig
INSTALL		= /usr/bin/install -c
sharedir        = ${DESTDIR}/${prefix}/share/wajig
mandir		= ${DESTDIR}/${prefix}/share/man/man1
etcdir          = ${DESTDIR}/${prefix}/etc
#etcdir          = /etc

top_builddir = .

PACKAGE = wajig
VERSION = 2.0.17

SUBDIRS = src

EXTRA_DIST =    wajig.sh.in wajig.1 gjig.sh.in gjig.1 wajig.completion

DIST_COMMON =  README COPYING ChangeLog INSTALL Makefile.in NEWS \
               configure configure.in install-sh py-compile

DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)



TAR = tar
GZIP_ENV = --best

all:
	(cd src; ${MAKE} all)

wajig.completion: src/bash_completion.py src/documentation.py
	python src/bash_completion.py > $@

install: wajig.completion
	(cd src; ${MAKE} install)
	-${INSTALL} -d ${bindir}
	${INSTALL} $(PACKAGE).sh ${bindir}/$(PACKAGE)
	${INSTALL} gjig.sh ${bindir}/gjig
	-${INSTALL} -d ${mandir}
	${INSTALL} -m 644 $(PACKAGE).1 ${mandir}/$(PACKAGE).1
	${INSTALL} -m 644 gjig.1 ${mandir}/gjig.1
	chmod +x ${bindir}/wajig ${bindir}/gjig
#	${INSTALL} -m 644 wajig.completion ${etcdir}/bash_completion.d/wajig 

uninstall:
	(cd src; ${MAKE} uninstall)
	rm ${bindir}/$(PACKAGE) ${bindir}/gjig
	rm ${mandir}/$(PACKAGE).1 ${mandir}/gjig.1
#	rm -f ${etcdir}/bash_completion.d/wajig

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)

distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done

debian:
	autoconf
	dpkg-buildpackage -rfakeroot

clean:
	(cd src; ${MAKE} clean)
	rm -f core *~ config.cache config.log config.status
	rm -rf autom4te.cache

realclean: clean
	rm -f configure gjig.sh wajig.sh wajig.completion
	rm -f build-stamp configure-stamp
	rm -rf debian/wajig

cvsclean: realclean
	(cd src; ${MAKE} cvsclean)
	rm -f Makefile wajig-[0-9].[0-9].[0-9].tar.gz
	rm -rf wajig-[0-9].[0-9].[0-9]

=== debian/changelog ===
wajig (2.0.31ubuntu1) dapper; urgency=low

  * Resynchronise with Debian:
    - Default Python version is 2.4.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Thu, 17 Nov 2005 00:21:04 +0000

wajig (2.0.31) unstable; urgency=low

  * In BUILD two commands are run, but if first fails or is aborted
    then second was still being run. Fix it by test result. Bug
    reported by John V. Belmonte. (Closes: #337587)

  * bash_completion now works on multiple package name arguments. Bug
    reported by Kamaraju Kusumanchi. (Closes: #318048)

  * Add UPDATE-PCI-IDS and UPDATE-USB-IDS commands to call update-pciids
    and update-usbids, as suggested by Karl Schmidt.

  * The use of "+/-N" in tail is deprecated. Using "-n +/-N" instead. Bug
    reported by Yves-Alexis Perez. (Closes: #339010)
	
 -- Graham Williams <Graham.Williams@togaware.com>  Tue, 15 Nov 2005 06:48:22 +1000

wajig (2.0.30ubuntu1) dapper; urgency=low

  * Resynchronise with Debian (Closes: #4434).

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Tue, 08 Nov 2005 00:35:56 +0000

wajig (2.0.30) unstable; urgency=low

  * In glutil.py (used by gjig) fix gnome __init__ call to pass args 
    without names since the names seem to have changed. Also replace
    deprecated mainloop and mainquit with main and main_quit.

  * Extended the VERSION command and introduced VERSIONS as a near 
    synonym to list the version available and the source distribution 
    of the package. Suggested by John V. Belmonte. (Closes: #317584)

  * Introduce the --yes option to ask apt-get to assume yes to
    questions. Requested by Jason Lewis.

  * Do sudo -v before any sudo commands with pipes to avoid issues 
    with pipes and multiple password requests. Bug reported by Karl Chen. 
    (Closes: #320126)

  * Add extra information in documentation about NETSELECT-APT writing
    a candidate sources.list to the current directory, not to the system
    file. Reported by David Fedoruk. (Closes: #332822)

  * Revert behaviour of SOURCE to not do a BUILDDEPEND. Requested by
    John Belmonte. (Closes: #337588)

  * Ensure wajig.completions is updated each make. Reported by John
    V. Belmonte. (Closes: #330473)
	
  * debian/control: Standards-Version increased to 3.6.2
	
 -- Graham Williams <Graham.Williams@togaware.com>  Sat, 5 Nov 2005 15:35:13 +1000
	

=== debian/control ===
Source: wajig
Section: admin
Priority: optional
Maintainer: Graham Williams <Graham.Williams@togaware.com>
Build-Depends-Indep: debhelper (>= 4.0.0), python2.4-dev
Standards-Version: 3.6.2

Package: wajig
Architecture: all
Depends: ${python:Depends}, apt, python-apt
Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, base-config, gnome-tasksel, deborphan, vrms, sudo, apt-show-versions
Description: simplified Debian package management front end
 Wajig is a single commandline wrapper around apt, apt-cache, dpkg,
 /etc/init.d scripts and more, intended to be easy to use and providing 
 extensive documentation for all of its functions. 
 .
 With a suitable sudo(1) configuration, most (if not all) package installation
 as well as creation tasks can be done from a user shell. Wajig is also 
 suitable for general system administration.
 .
 A Gnome GUI command 'gjig' is also included in the package.

## wajig 2.0.34

=== debian/changelog ===
wajig (2.0.34) unstable; urgency=low

  * Update to python 2.4 and new python policy. (Closes: #375591)

 -- Graham Williams <Graham.Williams@togaware.com>  Thu, 29 May 2006 18:11:34 +1000

wajig (2.0.33) unstable; urgency=low

  * MADISON command added to directly call apt-cache madison. Suggested by
    Dirk Eddelbuettel.

  * SHOW, DESCRIBE, LISTSECTIONS, LISTSECTION, DEPENDENTS, INSTALLS all
    stopped working with new version of Python apt_pkg which uses mmap for
    ParseTagFile and so could no longer handle pipes. Fixed by saving
    dumpavail output to temporary file. Bug reported by Anthony Campbell, 
    with suggested fix using new apt from Michael Vogt. (Closes: #366678)

 -- Graham Williams <Graham.Williams@togaware.com>  Sun, 25 May 2006 08:56:11 +1000

wajig (2.0.32) unstable; urgency=low

  * EDITSOURCES now calls the editor rather than apt-setup because 	
    the latter is now in a udeb and not generally available.

  * Introduce the --noauth option, which for a DISTUPGRADE will use the
    --allow-unauthenticated option. This is particularly for the case 
    where an archive you trust has no signed Release file, but you want
    that archive to supply packages ahead of those that are formally 
    signed. E.g., a local package archive you maintain. The option applies
    to specific commands (not checked): INSTALL, DISTUPGRADE, UPGRADE.

  * NEWS has been fixed to extract latest changelog from the changelog
    archive since old news source has disappeared.

  * PURGE now using dpkg --purge rather than apt-get purge. The latter no
    longer works for removed packages. Reported by David Lionthooth
    (Closes: #362632)

  * CHANGELOG and NEWS updated to use the 
    http://packages.debian.org/changelog:pkg as suggested by David
    Liontooth. (Closes: #364227)
	
 -- Graham Williams <Graham.Williams@togaware.com>  Sun, 23 Apr 2006 07:53:11 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Graham Williams <Graham.Williams@togaware.com>
-Build-Depends-Indep: debhelper (>= 4.0.0), python2.4-dev
-Standards-Version: 3.6.2
+Build-Depends-Indep: python2.4-dev (>= 2.4-1), python-dev
+Build-Depends: debhelper (>= 5.0.37.2)
+Standards-Version: 3.7.2
 
 Package: wajig
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# This version of the file for the Debian/GNU Linux wajig package
# is Copyright 2001-04 by Dirk Eddelbuettel <edd@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4

upstream: get-orig-source
get-orig-source:
	lynx http://www.togaware.com/debian

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr 
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/wajig 
        # remove the installation-generated files, will be rebuilt in postinst
	rm -vf $(CURDIR)/debian/wajig/usr/share/wajig/*.py[oc]
        # 2.0.4 fixes
#	rm -vf $(CURDIR)/debian/wajig/usr/share/wajig/*.png
#	cp -vax src/pixmaps/* $(CURDIR)/debian/wajig/usr/share/wajig
        # 2.0.9 fixes: need to install bash_completion manually
	cp -vax wajig.completion \
		$(CURDIR)/debian/wajig/etc/bash_completion.d/wajig
        # 2.0.11 fix: mode wants to be 755 on #! files
	chmod 755 $(CURDIR)/debian/wajig/usr/share/wajig/bash_completion.py

        # From the patch by Martin Krafft, but re-disabled as per discussion
        # with Mathias Klose, see #276537 logs
  # fix for FHS and Python policy compliance
        #mv $(CURDIR)/debian/wajig/usr/share/wajig/*.py $(CURDIR)/debian/wajig/usr/lib/wajig

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir 
	dh_testroot 
	dh_installchangelogs 
	dh_installdocs 
	dh_installexamples	
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip 
	dh_compress
	dh_fixperms 
#	dh_python 		/usr/share/wajig
	dh_python
#	dh_perl
	dh_installdeb
	dh_gencontrol
#	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testdir
#	dh_testroot
#	dh_installdebconf
#	dh_installdocs	
#	dh_installexamples	
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs
#	dh_python /usr/share/wajig
#	dh_strip
#	dh_link
#	dh_compress
#	dh_fixperms
#	dh_suidregister
#	dh_installdeb
#	dh_makeshlibs
#	dh_perl
#	dh_shlibdeps
#	dh_gencontrol
#	dh_md5sums
#	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## wajig 2.0.36

=== debian/changelog ===
wajig (2.0.36) unstable; urgency=high

  * Fix grave bug on moving to using pycentral - needed XS-Python-Version
    and XB-Python-Version, otherwise pycentral is crashing. Reported by
    Laurent Bonnaud and Anthony Campbell. If you get an error like
    package has no field Python-Version, then remove
    /var/lib/dpkg/info/wajig.prerm, and reinstall wajig. (Closes: #422596)

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 7 Mar 2007 22:06:10 +1000

wajig (2.0.35) unstable; urgency=low

  [Graham Williams]
  * LOCATE is a synonym for FIND-FILE (suggested by Alexandre Girao).

  * CHANGELOG query was not correctly stripping off version numbers. Bug
    reported by Reuben Thomas. (Closes: #385612)

  * VERIFY introduced to check the md5sums of an installed
    packages. Suggested by Francesco Potorti. (Closes: #386658)

  * Considered removing bash_completion.py. It is redundant, but does no
    harm. (Closes: #396698)

  * Replace depend on superseded base-config with locales. Suggested by 
    Michael Gilbert. (Closes: #415378)

  * Depend on dselect because at least the update command depends on it.
    Suggested by Chris AtLee. (Closes: #415365)
	
  [Dirk Eddelbuettel]
  * debian/rules: Change dh_python to dh_pycentral
  * debian/control: Added Build-Depends-Indep: on 'python-central (>= 0.5)'
	
 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 7 Mar 2007 06:44:28 +1000

=== debian/control ===
Source: wajig
Section: admin
Priority: optional
Maintainer: Graham Williams <Graham.Williams@togaware.com>
Standards-Version: 3.7.2
XS-Python-Version: all
Build-Depends-Indep: python2.4-dev (>= 2.4-1), python-dev, python-central (>= 0.5)
Build-Depends: debhelper (>= 5.0.37.2)

Package: wajig
Architecture: all
XB-Python-Version: all
Depends: python, apt, python-apt, dselect
Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, locales, gnome-tasksel, deborphan, vrms, sudo, apt-show-versions
Description: simplified Debian package management front end
 Wajig is a single commandline wrapper around apt, apt-cache, dpkg,
 /etc/init.d scripts and more, intended to be easy to use and providing 
 extensive documentation for all of its functions. 
 .
 With a suitable sudo(1) configuration, most (if not all) package installation
 as well as creation tasks can be done from a user shell. Wajig is also 
 suitable for general system administration.
 .
 A Gnome GUI command 'gjig' is also included in the package.

=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,8 @@
 	dh_compress
 	dh_fixperms 
 #	dh_python 		/usr/share/wajig
-	dh_python
+#	dh_python
+	dh_pycentral
 #	dh_perl
 	dh_installdeb
 	dh_gencontrol

## wajig 2.0.38

=== debian/changelog ===
wajig (2.0.38) unstable; urgency=low

  * Don't use invoke-rc.d as this is really meant for package maintainers,
    not interactive user usage, and there are cases where it won't
    work. Bug reported by William Xu. (Closes: #426969)

  * Ensure auto-remove is in the auto completion list. Reported by
    Reuben Thomas. (Closes: #445713)

  * Fix problem with change of HTML format for WHICH-PKG query.
    Bug reported by Alex Malinovich and David Liontooth.
    (Closes: #443593 #442169)
	
  * Add INFO, CONTENTS, and EXTRACT commands to run dpkg --info,
    dpkg --contents, and dpkg --extract to list info or contents or to
    extract the contents of a package file.

  * For LISTFILES support the listing of the contents of a .deb file.
    (Suggested by Roland.Baudin).

  * Fix documentation pointing to sarovar. (Closes: #442168)
	
 -- Graham Williams <Graham.Williams@togaware.com>  Thu, 4 Nov 2007 16:41:11 +1100

wajig (2.0.37) unstable; urgency=low

  * Add AUTO-REMOVE command to run apt-get autoremove, to remove any
    packages that were automatically installed through dependencies,
    and are no longer required. (Closes: #430457)
	
 -- Graham Williams <Graham.Williams@togaware.com>  Sun, 1 Jul 2007 17:50:35 +1000

=== debian/control ===
Source: wajig
Section: admin
Priority: optional
Maintainer: Graham Williams <Graham.Williams@togaware.com>
Standards-Version: 3.7.2
XS-Python-Version: all
Build-Depends-Indep: python2.4-dev (>= 2.4-1), python-dev, python-central (>= 0.5.6)
Build-Depends: debhelper (>= 5.0.38)

Package: wajig
Architecture: all
XB-Python-Version: all
Depends: ${python:Depends}, apt, python-apt, dselect
Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, locales, gnome-tasksel, deborphan, vrms, sudo, apt-show-versions, apt-listbugs
Description: simplified Debian package management front end
 Wajig is a single commandline wrapper around apt, apt-cache, dpkg,
 /etc/init.d scripts and more, intended to be easy to use and providing 
 extensive documentation for all of its functions. 
 .
 With a suitable sudo(1) configuration, most (if not all) package installation
 as well as creation tasks can be done from a user shell. Wajig is also 
 suitable for general system administration.
 .
 A Gnome GUI command 'gjig' is also included in the package.

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
 
@@ -89,7 +89,7 @@
 #	dh_perl
 	dh_installdeb
 	dh_gencontrol
-#	dh_md5sums
+	dh_md5sums
 	dh_builddeb
 
 # Build architecture-dependent files here.

## wajig 2.0.43

=== debian/changelog ===
wajig (2.0.43) unstable; urgency=low

  * revert untested code from Reuben Thomas causing issues with "new"

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 1 May 2009 11:46:27 +1000

wajig (2.0.42) unstable; urgency=low

  * update purgeremoved as suggested by Reuben Thomas.  (Closes: #477921)
  * some debian control updates provided by Dirk.

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 30 Apr 2009 07:44:46 +0700

wajig (2.0.41) unstable; urgency=low

  * Allow commas in list of packages so can copy from other programs
  * Ensure join uses langC=True - new coretuils join complains otherwise.

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 25 Apr 2009 08:46:45 +1100

wajig (2.0.40) unstable; urgency=low

  * Add noauth to autoinstall reported by Leslie Viljoen. (Closes: #506795)
  * Allow commas in list of packages so can copy from other programs

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 30 Nov 2008 17:27:23 +1000

wajig (2.0.39) unstable; urgency=low

  * Add purge-removed command requested by Reuben Thomas. (Closes: #477921)

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 2 Jun 2008 05:41:50 +1000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Graham Williams <Graham.Williams@togaware.com>
-Standards-Version: 3.7.2
+Homepage: http://wajig.togaware.com
+Standards-Version: 3.8.1
 XS-Python-Version: all
-Build-Depends-Indep: python2.4-dev (>= 2.4-1), python-dev, python-central (>= 0.5.6)
+Build-Depends-Indep: python-dev, python-central (>= 0.5.6)
 Build-Depends: debhelper (>= 5.0.38)
 
 Package: wajig
@@ -21,4 +22,4 @@
  as well as creation tasks can be done from a user shell. Wajig is also 
  suitable for general system administration.
  .
- A Gnome GUI command 'gjig' is also included in the package. 
+ A GNOME GUI command 'gjig' is also included in the package.

## wajig 2.0.45

=== debian/changelog ===
wajig (2.0.45) unstable; urgency=low

  * Update web search interface call for whichpkg and remove extraneous
    link information from the call to lynx - Bernat Arlandis i
    Mañó. (Closes: #565666).

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 18 Jan 2010 09:08:41 +1100

wajig (2.0.44) unstable; urgency=low

  * the describe/detail commands should handle installed but no longer
    available packages - Reuben Thomas.  (Closes: #432266)

  * ensure all old tmp files removed - Robert Luberda. (Closes: #563573)

 -- Graham Williams <Graham.Williams@togaware.com>  Mon, 4 Jan 2010 08:30:43 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Graham Williams <Graham.Williams@togaware.com>
 Homepage: http://wajig.togaware.com
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 XS-Python-Version: all
 Build-Depends-Indep: python-dev, python-central (>= 0.5.6)
 Build-Depends: debhelper (>= 5.0.38)

## wajig 2.0.47

=== debian/changelog ===
wajig (2.0.47) unstable; urgency=low

  * Use apt-get remove --auto-remove to implement remove-depend.  This is
    simpler than making wajig do the dependency checking, and runs much
    faster. (Closes: #579419).

 -- Graham Williams <Graham.Williams@togaware.com>  Wed, 19 May 2010 20:16:10 +1000

wajig (2.0.46) unstable; urgency=low

  * Change installr to use aptitude -r so that we get recursive install of
    recommended packages. (Closes: #477921).
  
  * Patch from Julian Klode and Dirk Eddelbuettel for new API - apply
    patches but no longer works on Ubuntu - assume works on
    Debian. (Closes: #571766).

 -- Graham Williams <Graham.Williams@togaware.com>  Wed, 17 Mar 2010 06:27:07 +1100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Graham Williams <Graham.Williams@togaware.com>
 Homepage: http://wajig.togaware.com
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 XS-Python-Version: all
-Build-Depends-Indep: python-dev, python-central (>= 0.5.6)
+Build-Depends-Indep: python, python-central (>= 0.5.6)
 Build-Depends: debhelper (>= 5.0.38)
 
 Package: wajig
 Architecture: all
 XB-Python-Version: all
-Depends: ${python:Depends}, apt, python-apt, dselect
+Depends: ${python:Depends}, ${misc:Depends}, apt, python-apt, dselect
 Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, locales, gnome-tasksel, deborphan, vrms, sudo, apt-show-versions, apt-listbugs
 Description: simplified Debian package management front end
  Wajig is a single commandline wrapper around apt, apt-cache, dpkg,

## wajig 2.0.48

=== debian/changelog ===
wajig (2.0.48) unstable; urgency=low

  * Add new command ADDREPO to add a Launchpad PPA. Uses
    add-apt-repository. (Tshepang Lekhonkhobe)
  
  * Add -b (backup) option to UPGRADE command so it is easier to revert to
    a previous state if a problem arises. Uses dpkg-repack. (Tshepang
    Lekhonkhobe)
  
  * Cleanup debian meta data and add unit testing and cleanup various
    python code and improve readability and upgrade deprecated string
    module. (Tshepang Lekhonkhobe)

  * Tidy up the list of commands from the "list-commands"
    command. (Tshepang Lekhonkhobe) (Closes: #582252).

  * Show downgraded packages in 'wajig list-log'. (Tshepang Lekhonkhobe)
    (Closes: #366796).

  * Remove the unavailable gnome-tasksel from Suggested. (Tshepang
    Lekhonkhobe) (Closes: #549574).

 -- Graham Williams <Graham.Williams@togaware.com>  Sun, 22 Aug 2010 19:25:42 +1000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all
 XB-Python-Version: all
 Depends: ${python:Depends}, ${misc:Depends}, apt, python-apt, dselect
-Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, locales, gnome-tasksel, deborphan, vrms, sudo, apt-show-versions, apt-listbugs
+Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, locales, deborphan, vrms, sudo, apt-show-versions, apt-listbugs
 Description: simplified Debian package management front end
  Wajig is a single commandline wrapper around apt, apt-cache, dpkg,
  /etc/init.d scripts and more, intended to be easy to use and providing

## wajig 2.0.50.1

=== Makefile ===
# 2010.10.02 this is modified from a version found at:
# savetheions.com/2010/01/20/packaging-python-applicationsmodules-for-debian/

LIBDIR = $(DESTDIR)/usr/share/wajig
HLPDIR = $(LIBDIR)/help
BINDIR = $(DESTDIR)/usr/bin
MANDIR = $(DESTDIR)/usr/share/man/man1
BCNDIR = $(DESTDIR)/etc/bash_completion.d

clean:
	rm -f *.py[co] */*.py[co] wajig.completion

install:
	mkdir -p  $(LIBDIR) $(HLPDIR) $(MANDIR)
	cp src/*  $(LIBDIR)/
	cp help/* $(HLPDIR)/
	cp manpages/*  $(MANDIR)/
	cp wajig.sh $(BINDIR)/wajig
	cp gjig.sh  $(BINDIR)/gjig
	./bash_completion.py
	cp wajig.completion $(BCNDIR)/wajig

uninstall:
	rm -rf $(LIBDIR)
	rm -f $(MANDIR)/wajig.1
	rm -f $(MANDIR)/gjig.1
	rm -f $(BINDIR)/wajig
	rm -f $(BINDIR)/gjig
	rm -f $(BCNDIR)/wajig

=== debian/changelog ===
wajig (2.0.50.1) unstable; urgency=low

  * Fix (an embarassing) exception exposed by LIST-COMMANDS, DOCUMENTATION, ...

 -- Tshepang Lekhonkhobe <tshepang@gmail.com>  Wed, 13 Oct 2010 16:15:59 +0200

wajig (2.0.50) unstable; urgency=low

  [ Tshepang Lekhonkhobe ]

  * VERIFY: Add a check for debsums before running the command, and add
    a Suggests on it.
  * PURGE: use apt-get instead of dpkg, in order to get a yes/no prompt.
  * LIST-LOG: Remove custom logging implementation
    - was fragile: sometimes info was lost during a run
    - was expensive: checked system cache both before and after the
      operation to determine what happened; it also did this for commands
      which didn't even change the system cache
    - did not log cache changes when they were done by other tools
      (apt, aptitude, & synaptic)
    - APT log looks much better
  * SHOW: use aptitude instead of apt-cache
    - the output is prettier
    - better virtual package handling; it displays real packages that provide
      the functionality implied by that virtual package, instead of just
      vomiting "package not found!"
    - only displays info on the installed version; else, the latest available;
      apt-get showed all available versions
    - the trade-off is that the command is a bit slower, but what's the rush :)
  * LIST-RECOMMENDED: new command that displays packages which are
    auto-installed via Recommends, and are without installed dependencies.
    (Closes: #482147)
  * PURGE: also purge packages that were installed via a Recommends and have
    nothing depending on them; this makes PURGE-DEPEND reduntant.
  * REMOVE: also remove packages that were installed via a Recommends and have
    nothing depending on them; this makes REMOVE-DEPEND reduntant.
  * AUTO-REMOVE: Made reduntant by above REMOVE change, so removed.
  * AUTO-INSTALL: Deprecated in favour of "--yes INSTALL", so removed from docs.
  * NEWS: 'new' command that displays package NEWS file(s).
  * AVAILABLE: removed a badly-named and redundant command; POLICY
    command does the same thing.
  * INSTALL: accept -y|--yes option, an alias for apt-get's --assume-yes.
  * UPGRADE: accept -y|--yes option, too.
  * FIX-INSTALL: accept -n|--noauth option.
  * FIX-MISSING: accept -n|--noauth option, too.
  * REINSTALL:  accept -n|--noauth and -y|--yes option.
  * HELP: introduce the convenient "wajig HELP COMMAND" functionality.
  * Remove supression of error messages; Not a good idea.
  * Add dependency on aptitude; It must have been forgotten.
  * Cleanse packaging, drastically :-)
  * Stop using python-support; There was no need for it.

 -- Graham Williams <Graham.Williams@togaware.com>  Wed, 16 Sep 2010 17:22:16 +1000

wajig (2.0.49) unstable; urgency=low

  [ Tshepang Lekhonkhobe ]

  * UPGRADE: Don't automatically do an "apt-get update" with the backup
    option; the behaviour is not standard, and is not so-damn-fast.

  * UPGRADE: Add command line argument for --backup to specify target
    directory.  * Used to be "wajig --backup upgrade BKDIR".  * Now it's
    "wajig --backup=BKDIR upgrade".

  * UPGRADE: Proceed to upgrade after using -b|--backup option.

  * UPGRADE: Remove the option to install listed packages. This helps
    reduce code complexity.

  * CHANGELOG: Now only displays uninstalled entries by default. This
    makes the hacky NEWS command redundant, which is therefore
    removed. (Closes: #424668).

  * CHANGELOG: Add -v|--verbose=1 option to display the whole thing. This
    was the default option, but suggestion offered in #424668 is more
    sane.

  * CHANGELOG: Add -x|--pager option to allow scrolling. This also implies
    -v|--verbose=1 (see above).

  * DIST-UPGRADE: Add -b|--backup=BKDIR option to allow backing up of
    packages before dist-upgrade.

  * BUILD: Now uses sudo instead of fakeroot to avoid permission-related.
    build failures for some packages (EG, fakeroot & cdbs). (Closes:
    #464003).

  * Fix a parsing bug where "wajig changelog libgtk2.0-0" didn't work.

  * Switch to dpkg-source 3.0 (native) format

  * RBUILDDEPS: New option allowing one to determine which packages
    build-depends on a particular package. The long form command is
    "reverse-build-depends", else just use "wajig rbuilddeps pkgname".
    (Closes: #335240).

  * SEARCH: Make apt-cache's "--names-only" default. Use "-v" option to get
    old behaviour.

 -- Graham Williams <Graham.Williams@togaware.com>  Wed, 15 Sep 2010 17:22:16 +1000

=== debian/control ===
Source: wajig
Section: admin
Priority: optional
Maintainer: Graham Williams <Graham.Williams@togaware.com>
Uploaders: Tshepang Lekhonkhobe <tshepang@gmail.com>
Homepage: http://wajig.togaware.com
Standards-Version: 3.9.1
Build-Depends-Indep: python
Build-Depends: debhelper (>= 7)

Package: wajig
Architecture: all
Depends: ${misc:Depends}, apt, python-apt, dselect, aptitude
Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, lynx, python-gtk2, python-glade2, python-gnome2, gnome-terminal, locales, deborphan, vrms, sudo, apt-show-versions, dctrl-tools, debsums
Description: simple and unified package management for Debian
 Wajig is a single commandline wrapper around apt, apt-cache, dpkg,
 /etc/init.d scripts and more, intended to be easy to use and providing 
 extensive documentation for all of its functions. 
 .
 With a suitable sudo(1) configuration, most (if not all) package installation
 as well as creation tasks can be done from a user shell. Wajig is also 
 suitable for general system administration.
 .
 A GNOME GUI command 'gjig' is also included in the package.

## wajig 2.2

=== Makefile ===
# modified from a version found at:
# savetheions.com/2010/01/20/packaging-python-applicationsmodules-for-debian/

LIBDIR = $(DESTDIR)/usr/share/wajig
HLPDIR = $(LIBDIR)/help
BINDIR = $(DESTDIR)/usr/bin
MANDIR = $(DESTDIR)/usr/share/man/man1
BCNDIR = $(DESTDIR)/etc/bash_completion.d

clean:
	rm -rf src/__pycache__

install:
	mkdir -p  $(LIBDIR) $(HLPDIR) $(MANDIR)
	cp src/*  $(LIBDIR)/
	cp help/* $(HLPDIR)/
	cp wajig.1  $(MANDIR)/
	cp wajig.sh $(BINDIR)/wajig
	cp wajig.completion $(BCNDIR)/wajig

uninstall:
	rm -rf $(LIBDIR)
	rm -f $(MANDIR)/wajig.1
	rm -f $(BINDIR)/wajig
	rm -f $(BCNDIR)/wajig

=== debian/changelog ===
wajig (2.2) unstable; urgency=low

  * port to Python 3 (Closes: #600059, by making it irrelevant)
  * AVAILABLE: add back to bash auto completion
  * rm TODO items that no one will likely implement, and add ones that
    I intend to
  * WHICHPACKAGE: use apt-file and dpkg instead of custom implementation
    to search for package content
    * local implementation could not use path as search term if package
      is not installed
    * it could also not work offline if the package is not installed
    Closes: #422500, LP: #141520
  * INSTALL: when installing a DEB file, install its dependencies too
  * UPDATE: rm dependency on dselect; use apt-get instead

 -- Tshepang Lekhonkhobe <tshepang@gmail.com>  Wed, 04 May 2011 02:30:56 +0200

wajig (2.1) unstable; urgency=low

  [ Tshepang Lekhonkhobe ]
  * Change versioning from 3 digits to 2. There wasn't much meaning there.
  * Remove gjig; it was more an experiment than a serious app, and:
    - more complete alternatives exist (e.g. synaptic and software-center)
    - UI is cranky and weird
  * Remove deps that were needed by gjig:
    - python-gtk2, python-glade2, python-gnome2, and gnome-terminal
  * INSTALLR, INSTALLRS: 'apt-get install' now installs Recommends by default,
    making these options redundant.
  * INSTALL, INSTALLS: add -r|--recommends and -R|--norecommends options.
  * INSTALLS: add -n|--noauth and -y|--yes options.
  * Add meself to Uploaders field in debian/control.
  * CHANGELOG: change -x to -P; it's a more meaningful short option for --pager
  * POLICY: more than one person has complained about removal of the alias of
    this command, AVAILABLE; I put it back.
  * SHOW: add -f|--fast to offer apt-cache's much faster implementation
  * INSTALL/DIST: fix brokenness, fixes LP: #540740.
  * SOURCE: don't run the command unless 'dpkg-dev' is installed,
    fixes LP: #662018
  * BUILD, BUILDDEP: add -y|--yes and -n|--noauth options.
  * AUTOREMOVE: add back after more than one request. (Closes: #590089)
  * Add --dist, an alias for apt-get -t|--target-release.
  * Slightly simplify the build: getting rid of dynamic bash completion
    generator.
  * Fix a Lintian complaint (add dependency on python).

 -- Tshepang Lekhonkhobe <tshepang@gmail.com>  Wed, 27 Apr 2011 12:13:21 +0200

=== debian/control ===
Source: wajig
Section: admin
Priority: optional
Maintainer: Graham Williams <Graham.Williams@togaware.com>
Uploaders: Tshepang Lekhonkhobe <tshepang@gmail.com>
Homepage: http://wajig.togaware.com
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7)
Vcs-hg: https://wajig.googlecode.com/hg
Vcs-Browser: http://code.google.com/p/wajig/source/list

Package: wajig
Architecture: all
Depends: ${misc:Depends}, python3, apt, python3-apt, aptitude
Suggests: wget, fping, debconf, reportbug, apt-move, dpkg-repack, alien, fakeroot, gkdebconf, apt-file, locales, deborphan, vrms, sudo, apt-show-versions, dctrl-tools, debsums, netselect-apt, dpkg-dev
Description: simple and unified package management for Debian
 Wajig is a single commandline wrapper around apt, apt-cache, dpkg,
 /etc/init.d scripts and more, intended to be easy to use and providing 
 extensive documentation for all of its functions. 
 .
 With a suitable sudo(1) configuration, most (if not all) package installation
 as well as creation tasks can be done from a user shell. Wajig is also 
 suitable for general system administration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# 2010.10.02 this is modified from a version found at:
# savetheions.com/2010/01/20/packaging-python-applicationsmodules-for-debian/

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp
build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/wajig install
binary-arch: build install
binary-indep: build install
	dh_fixperms
	dh_installchangelogs
	dh_installdocs
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
binary: binary-indep
.PHONY: build clean binary-indep binary install configure
